import { renderless, api } from '@opentinyvue/vue-renderless/exception/vue';
import { defineComponent, setup, $props } from '@opentinyvue/vue-common';
import Button from '@opentinyvue/vue-button';
import { iconNoData, iconNoNews, iconNoPerm, iconNoResult, iconWeaknet, iconPageNoperm, iconPageNothing, iconPageServererror, iconPageWeaknet } from '@opentinyvue/vue-icon';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

function _extends() {
  return _extends = Object.assign ? Object.assign.bind() : function(n) {
    for (var e = 1; e < arguments.length; e++) {
      var t = arguments[e];
      for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]);
    }
    return n;
  }, _extends.apply(null, arguments);
}
var $constants = {
  INTERNALCONFIG: {
    NODATA: "ui.exception.nodatamf",
    NOPERM: "ui.exception.nopermmf",
    WEAKNET: "ui.exception.weaknetmf",
    NORESULT: "ui.exception.noresult",
    NONEWS: "ui.exception.nonews",
    PAGENOPERM: "ui.exception.pagenoperm",
    PAGEWEAKNET: "ui.exception.pageweaknet",
    PAGENOTHING: "ui.exception.pagenothing",
    PAGESERVERERROR: "ui.exception.pageservererror"
  },
  ICONCONFIG: {
    NODATA: "icon-no-data",
    NOPERM: "icon-no-perm",
    NONEWS: "icon-no-news",
    WEAKNET: "icon-weaknet",
    NORESULT: "icon-no-result",
    PAGENOPERM: "icon-page-noperm",
    PAGENOTHING: "icon-page-nothing",
    PAGESERVERERROR: "icon-page-servererror",
    PAGEWEAKNET: "icon-page-weaknet"
  }
};
var __vue2_script = defineComponent({
  components: {
    TinyButton: Button,
    IconNoData: iconNoData(),
    IconNoNews: iconNoNews(),
    IconNoPerm: iconNoPerm(),
    IconNoResult: iconNoResult(),
    IconWeaknet: iconWeaknet(),
    IconPageNoperm: iconPageNoperm(),
    IconPageNothing: iconPageNothing(),
    IconPageServererror: iconPageServererror(),
    IconPageWeaknet: iconPageWeaknet()
  },
  emits: ["click"],
  props: _extends({}, $props, {
    _constants: {
      type: Object,
      default: function _default() {
        return $constants;
      }
    },
    type: {
      type: String,
      default: "nodata"
    },
    subMessage: String,
    exceptionClass: String,
    pageEmpty: {
      type: Boolean,
      default: false
    },
    componentPage: {
      type: Boolean,
      default: false
    }
  }),
  setup: function setup$1(props, context) {
    return setup({
      props,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    class: _vm.m("flex t-0 justify-center items-center w-full h-full bg-transparent sm:bg-color-bg-1 text-center", _vm.exceptionClass),
    attrs: {
      "data-tag": "tiny-exception"
    }
  }, [_c("div", {
    attrs: {
      "data-tag": "tiny-exception-body"
    }
  }, [_c("div", {
    staticClass: "bg-cover",
    attrs: {
      "data-tag": "tiny-exception-image"
    }
  }, [_vm.state.urlType ? _c(_vm._constants.ICONCONFIG[_vm.type.toUpperCase()], {
    tag: "component",
    attrs: {
      "custom-class": _vm.componentPage ? "w-24 h-24" : "w-52 h-40"
    }
  }) : _vm._e()], 1), _vm._t("content", function() {
    return [_c("div", {
      attrs: {
        "data-tag": "tiny-exception-description"
      }
    }, [_c("div", {
      class: ["text-color-text-primary mt-1 text-center text-sm", _vm.componentPage ? "sm:text-xs" : "sm:text-sm"],
      attrs: {
        "data-tag": "tiny-exception-componentpage"
      }
    }, [_vm._v(" " + _vm._s(_vm.t(_vm._constants.INTERNALCONFIG[_vm.type.toUpperCase()])) + " ")]), _vm.subMessage ? _c("div", {
      staticClass: "leading-5.5 sm:leading-3 sm:text-xs mt-1 sm:mt-2 text-color-icon-placeholder",
      attrs: {
        "data-tag": "tiny-exception-submessage"
      }
    }, [_vm._v(" " + _vm._s(_vm.subMessage) + " ")]) : _vm._e(), _c("div", {
      staticClass: "sm:mt-4 mt-6 inline-block"
    }, [_vm._t("default")], 2)])];
  })], 2)]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { mobileFirst as default };
